#include <kaboutdata.h>
#include <iostream>
//#include "main_window.hh"
#include "netconf_app.hh"

static const char description[] = "T2 network configuration";
static const char version[] = "0.0.1";

static KCmdLineOptions options[] = {
  { "silent", "don't show user interface on startup, just reside in system tray", 0 },
  KCmdLineLastOption
};


int main( int argc, char** argv )
{
  KAboutData about("netconf", "network config",
		   version, description,
		   KAboutData::License_GPL, "(C) 2005 Valentin Ziegler");
  about.addAuthor( "Valentin Ziegler", 0, "valentin@exactcode.de" );

  KCmdLineArgs::init(argc, argv, &about);
  KCmdLineArgs::addCmdLineOptions(options);
  KUniqueApplication::addCmdLineOptions();

  if (!KUniqueApplication::start()) {
    std::cout << "seem to be running already" << std::endl;
    return 0;
  }

  std::cout << "here" << std::endl;

  KApplication *app = new NetconfApp;
  return app->exec();
};
